Subject: Re: Early SPECWeb99 results on 2.5.33 with TSO on e1000

From: "David S. Miller" <[email-masked]>
Date: Mon, 16 Sep 2002 15:46:40 -0700 (PDT)

From: David Woodhouse <[email-masked]>
   Date: Mon, 16 Sep 2002 23:53:00 +0100
   
   Er, surely the same goes for sys_sendfile? Why have a new system call 
   rather than just swapping the 'in' and 'out' fds?

There is an assumption that one is a linear stream of output (in this
case a socket) and the other one is a page cache based file.

It would be nice to extend sys_sendfile to work properly in both
ways in a manner that Linus would accept, want to work on that?